-- Three tables for Poll extension

BEGIN;

CREATE TABLE /*_*/polls (
	`pollid` binary(40) NOT NULL PRIMARY KEY,
	`polltext` text NOT NULL,
	`pollvotes` int(5) default '0'
) /*$wgDBTableOptions*/;

CREATE TABLE /*_*/poll_options (
	`pollid` binary(40) NOT NULL,
	`optionid` binary(40) NOT NULL,
	`optionorder` int(5) default '0',
	`optiontext` text NOT NULL,
	`optionvotes` int(5) default '0',
	PRIMARY KEY (`pollid`, `optionid`)
) /*$wgDBTableOptions*/;

CREATE INDEX /*i*/optionvotesindex ON /*_*/poll_options (`pollid`, `optionvotes`);

CREATE TABLE /*_*/poll_answers (
	`pollid` binary(40) NOT NULL,
	`userid` int(11) NOT NULL default '0',
	`username` varchar(255) NOT NULL default '',
	`optionid` binary(40) NOT NULL,
	PRIMARY KEY (`pollid`, `optionid`, `userid`, `username`)
) /*$wgDBTableOptions*/;

CREATE TABLE /*_*/poll_raters (
	`pageid` int(10) unsigned NOT NULL,
	`userid` int(11) NOT NULL default '0',
	`username` varchar(255) NOT NULL default '',
	`pagerating` smallint unsigned NOT NULL,
	PRIMARY KEY (`pageid`, `userid`, `username`)
) /*$wgDBTableOptions*/;

CREATE TABLE /*_*/poll_ratings (
	`pageid` int(10) unsigned NOT NULL PRIMARY KEY,
	`pagerating` int unsigned NOT NULL,
	`pagevotes` int unsigned NOT NULL
) /*$wgDBTableOptions*/;

COMMIT;
